aboutsummaryrefslogtreecommitdiffstats
path: root/unmaintained/ntopng/ntopng-update-geoip-db
diff options
context:
space:
mode:
Diffstat (limited to 'unmaintained/ntopng/ntopng-update-geoip-db')
-rw-r--r--unmaintained/ntopng/ntopng-update-geoip-db25
1 files changed, 25 insertions, 0 deletions
diff --git a/unmaintained/ntopng/ntopng-update-geoip-db b/unmaintained/ntopng/ntopng-update-geoip-db
new file mode 100644
index 0000000000..1ac05bc0e0
--- /dev/null
+++ b/unmaintained/ntopng/ntopng-update-geoip-db
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+BASE_URL=http://geolite.maxmind.com/download/geoip/database
+
+echo "Updating NTOP GeoIP databases..."
+
+cd /usr/share/ntopng/geoip || exit
+
+for u in \
+ asnum/GeoIPASNum.dat.gz \
+ asnum/GeoIPASNumv6.dat.gz \
+ GeoLiteCity.dat.gz \
+ GeoLiteCityv6-beta/GeoLiteCityv6.dat.gz; do
+ FILE_GZ=${u#*/}
+ FILE=${FILE_GZ%.gz}
+ wget -O ${FILE_GZ} ${BASE_URL}/${u} &&
+ gunzip < ${FILE_GZ} > .${FILE} &&
+ mv -f .${FILE} ${FILE} &&
+ rm -f ${FILE_GZ} ||
+ exit
+done
+
+rc-service ntopng status && rc-service ntopng restart
+
+echo "NTOP GeoIP databases were successfully updated"